Chat

Author Topic: deflemask for linux: can't launch  (Read 6372 times)

cyberic

  • Guest
deflemask for linux: can't launch
« on: July 10, 2012, 09:37:15 PM »
Hi

I was happy to discover that there was a linux version of deflemask!
I tried it on my archlinux 64bit but couldn't launch it...
First I had to install lots of 32bit libraries.

Now, when I launch Deflemask, the command terminates and do nothing.
In ERROR.log, I have:
Impossible to create the Window. CODE: 0xF4E7372F

I read elsewhere that it could be related to opengl, I think it is working but I'm not sure...

$ glxinfo |grep -i direct
direct rendering: Yes

I can provide you with a strace or a ltrace log if you want....

The ltrace log is here:
https://dl.dropbox.com/u/166568/ltrace.txt

Tell me if you need more info.

Thanks

Eric

Offline Delek

  • Salí para ver
  • Administrator
  • Hero Member
  • Posts: 1809
    • Delek's Website
    • Email
deflemask for linux: can't launch
« Reply #1 on: July 11, 2012, 12:07:37 AM »
Yes, it is related to the OpenGL lib. Do you installed freeglut?.

cyberic

  • Guest
deflemask for linux: can't launch
« Reply #2 on: July 22, 2012, 09:58:12 PM »
Yes but not the 32bit version I think...
Is there anything wrong?

$ ldd ./DefleMask
   linux-gate.so.1 (0xf77bd000)
   libX11.so.6 => /usr/lib32/libX11.so.6 (0xf765d000)
   libXext.so.6 => /usr/lib32/libXext.so.6 (0xf764b000)
   libGL.so.1 => /usr/lib32/libGL.so.1 (0xf75f6000)
   libGLU.so.1 => /usr/lib32/libGLU.so.1 (0xf7587000)
   libSDL-1.2.so.0 => /usr/lib32/libSDL-1.2.so.0 (0xf74ea000)
   libstdc++.so.6 => /usr/lib32/libstdc++.so.6 (0xf7402000)
   libm.so.6 => /usr/lib32/libm.so.6 (0xf73c3000)
   libgcc_s.so.1 => /usr/lib32/libgcc_s.so.1 (0xf73a9000)
   libc.so.6 => /usr/lib32/libc.so.6 (0xf7203000)
   libpthread.so.0 => /usr/lib32/libpthread.so.0 (0xf71e7000)
   librt.so.1 => /usr/lib32/librt.so.1 (0xf71de000)
   libxcb.so.1 => /usr/lib32/libxcb.so.1 (0xf71bc000)
   libdl.so.2 => /usr/lib32/libdl.so.2 (0xf71b7000)
   libglapi.so.0 => /usr/lib32/libglapi.so.0 (0xf71a1000)
   libXdamage.so.1 => /usr/lib32/libXdamage.so.1 (0xf719d000)
   libXfixes.so.3 => /usr/lib32/libXfixes.so.3 (0xf7196000)
   libX11-xcb.so.1 => /usr/lib32/libX11-xcb.so.1 (0xf7193000)
   libxcb-glx.so.0 => /usr/lib32/libxcb-glx.so.0 (0xf717a000)
   libXxf86vm.so.1 => /usr/lib32/libXxf86vm.so.1 (0xf7174000)
   libdrm.so.2 => /usr/lib32/libdrm.so.2 (0xf7167000)
   /lib/ld-linux.so.2 (0xf77be000)
   libXau.so.6 => /usr/lib32/libXau.so.6 (0xf7162000)
   libXdmcp.so.6 => /usr/lib32/libXdmcp.so.6 (0xf715b000)

Offline Delek

  • Salí para ver
  • Administrator
  • Hero Member
  • Posts: 1809
    • Delek's Website
    • Email
deflemask for linux: can't launch
« Reply #3 on: July 23, 2012, 12:58:16 AM »
You should install the 32bits version i think.

cyberic

  • Guest
deflemask for linux: can't launch
« Reply #4 on: July 23, 2012, 05:46:24 AM »
Done. But same thing...
ldd doesn't show libfreeglut, so I think it is not even loaded...